# Compute Engine API . machineTypes

## Instance Methods

Returns the specified machine type resource.

Retrieves the list of machine type resources available to the specified project.

Retrieves the next page of results.

### Method Details

`get(project, machineType)`

    Returns the specified machine type resource.

    Args:
      project: string, Name of the project scoping this request. (required)
      machineType: string, Name of the machine type resource to return. (required)

    Returns:
      An object of the form:

        {
        "guestCpus": 42, # Count of CPUs exposed to the instance.
        "imageSpaceGb": 42, # Space allotted for the image, defined in GB.
        "kind": "compute#machineType", # Type of the resource.
        "ephemeralDisks": [ # List of extended ephemeral disks assigned to the instance.
          {
            "diskGb": 42, # Size of the ephemeral disk, defined in GB.
          },
        ],
        "maximumPersistentDisksSizeGb": "A String", # Maximum total persistent disks size (GB) allowed.
        "description": "A String", # An optional textual description of the resource.
        "maximumPersistentDisks": 42, # Maximum persistent disks allowed.
        "name": "A String", # Name of the resource.
        "memoryMb": 42, # Physical memory assigned to the instance, defined in MB.
        "availableZone": [ # The zones that this machine type can run in.
          "",
        ],
        "creationTimestamp": "A String", # Creation timestamp in RFC3339 text format (output only).
        "id": "A String", # Unique identifier for the resource; defined by the server (output only).
        "selfLink": "A String", # Server defined URL for the resource (output only).
        "hostCpus": 42, # Count of physical CPUs reserved on the virtual machine host. Deprecated.
      }

`list(project, maxResults=None, pageToken=None, filter=None)`

    Retrieves the list of machine type resources available to the specified project.

    Args:
      project: string, Name of the project scoping this request. (required)
      maxResults: integer, Optional. Maximum count of results to be returned. Maximum and default value is 100.
      pageToken: string, Optional. Tag returned by a previous list request truncated by maxResults. Used to continue a previous list request.
      filter: string, Optional. Filter expression for filtering listed resources.

    Returns:
      An object of the form:

        {
        "nextPageToken": "A String", # A token used to continue a truncated list request (output only).
        "items": [ # The machine type resources.
          {
            "guestCpus": 42, # Count of CPUs exposed to the instance.
            "imageSpaceGb": 42, # Space allotted for the image, defined in GB.
            "kind": "compute#machineType", # Type of the resource.
            "ephemeralDisks": [ # List of extended ephemeral disks assigned to the instance.
              {
                "diskGb": 42, # Size of the ephemeral disk, defined in GB.
              },
            ],
            "maximumPersistentDisksSizeGb": "A String", # Maximum total persistent disks size (GB) allowed.
            "description": "A String", # An optional textual description of the resource.
            "maximumPersistentDisks": 42, # Maximum persistent disks allowed.
            "name": "A String", # Name of the resource.
            "memoryMb": 42, # Physical memory assigned to the instance, defined in MB.
            "availableZone": [ # The zones that this machine type can run in.
              "",
            ],
            "creationTimestamp": "A String", # Creation timestamp in RFC3339 text format (output only).
            "id": "A String", # Unique identifier for the resource; defined by the server (output only).
            "selfLink": "A String", # Server defined URL for the resource (output only).
            "hostCpus": 42, # Count of physical CPUs reserved on the virtual machine host. Deprecated.
          },
        ],
        "kind": "compute#machineTypeList", # Type of resource.
        "id": "A String", # Unique identifier for the resource; defined by the server (output only).
        "selfLink": "A String", # Server defined URL for this resource (output only).
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.